> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# All Settlements



## OpenAPI

````yaml openapi.json get /settlement
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /settlement:
    parameters: []
    get:
      tags:
        - Settlements
      summary: All Settlements
      parameters:
        - name: page
          in: query
          required: false
          example: '1'
          schema:
            type: integer
        - name: size
          in: query
          required: false
          example: '50'
          schema:
            type: integer
        - name: category
          in: query
          required: false
          description: 'Optional: MERCHANT_SETTLEMENT, SUBACCOUNT_SETTLEMENT'
          example: MERCHANT_SETTLEMENT
          schema:
            type: string
        - name: startDate
          in: query
          required: false
          example: '2024-08-10'
          schema:
            type: integer
        - name: endDate
          in: query
          required: false
          example: '2024-08-12'
          schema:
            type: integer
        - name: subaccountId
          in: query
          required: false
          description: Optional
          example: f80827ac-d5b1-4872-922d-70bfb30a3d90
          schema:
            type: string
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '540'
            ETag:
              schema:
                type: string
              example: W/"21c-jBTV7+GyHqjcPlqdel6e0FXhS3A"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Sun, 11 Aug 2024 23:48:26 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: All Settlements - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      size:
                        type: integer
                      page:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
                      settlements:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            amount:
                              type: integer
                            status:
                              type: string
                            date:
                              type: string
                              format: date
                            charges:
                              type: integer
                            category:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
              example:
                status: true
                message: Operation is successful
                data:
                  size: 50
                  page: 1
                  totalRecords: 40
                  totalPages: 1
                  settlements:
                    - id: ad8ecbaa-13b9-46a5-a7b9-79b1f83a1afd
                      amount: 400
                      status: SUCCESSFUL
                      date: '2025-08-28'
                      charges: 0
                      category: CARD_SETTLEMENT
                      createdAt: '2025-08-28T14:31:29.425Z'
                    - id: 0b816ccb-e356-4a52-a703-4abee5ca6e36
                      amount: 200
                      status: SUCCESSFUL
                      date: '2025-08-18'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-08-18T23:00:19.833Z'
                    - id: c657b4d2-003f-4d81-a418-ca30b66a5864
                      amount: 1600
                      status: SUCCESSFUL
                      date: '2025-08-10'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-08-10T23:00:00.879Z'
                    - id: 81880969-321f-421e-895d-742a069f7852
                      amount: 5357.35
                      status: SUCCESSFUL
                      date: '2025-08-06'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-08-06T23:00:00.751Z'
                    - id: ca84dc25-6ecf-404a-8e1d-e021c698388f
                      amount: 38859.6
                      status: SUCCESSFUL
                      date: '2025-08-05'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-08-05T23:02:20.396Z'
                    - id: c495a879-2d5f-48a8-99e9-8430fdf9d8a2
                      amount: 1966
                      status: SUCCESSFUL
                      date: '2025-07-30'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-07-30T23:00:00.663Z'
                    - id: 46af69e0-7ad4-43aa-aa91-562eef1de14b
                      amount: 9730
                      status: SUCCESSFUL
                      date: '2025-07-25'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-07-25T23:00:00.610Z'
                    - id: d4e8fa66-c175-4634-bca3-56a2b8db0705
                      amount: 4373.5
                      status: SUCCESSFUL
                      date: '2025-07-24'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-07-24T23:02:40.011Z'
                    - id: eeb9c9a7-7591-4d16-858f-499f857cee6f
                      amount: 19545
                      status: SUCCESSFUL
                      date: '2025-07-23'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-07-23T23:04:46.657Z'
                    - id: 3c11ddee-30f4-4ae2-9376-5c1f2c9786cd
                      amount: 442.35
                      status: SUCCESSFUL
                      date: '2025-07-22'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-07-22T23:00:00.485Z'
                    - id: 10c698e9-c46e-4ade-b136-c2990ec0826f
                      amount: 0
                      status: SUCCESSFUL
                      date: '2025-07-21'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-07-21T23:52:52.564Z'
                    - id: f79acd49-b399-425a-8acb-28b2eb5fc919
                      amount: 0
                      status: SUCCESSFUL
                      date: '2025-06-30'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-06-30T23:00:22.175Z'
                    - id: a2221d94-8587-4781-baa4-e2f8eb2766f5
                      amount: 0
                      status: SUCCESSFUL
                      date: '2025-05-28'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-05-28T23:00:00.407Z'
                    - id: 409e40b4-8a88-464b-bab7-8ef7ba87037b
                      amount: 0
                      status: SUCCESSFUL
                      date: '2025-05-22'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-05-23T10:19:00.809Z'
                    - id: 487967a5-7f51-44f6-972a-c207e446617d
                      amount: 0
                      status: SUCCESSFUL
                      date: '2025-05-20'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-05-20T23:00:00.298Z'
                    - id: 81a86ad3-b2ee-45f7-b944-a57c9e04ba20
                      amount: 0
                      status: SUCCESSFUL
                      date: '2025-05-19'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-05-19T23:00:19.021Z'
                    - id: 1dc4a4ea-e8f4-4c3b-9590-490aef709762
                      amount: 0
                      status: SUCCESSFUL
                      date: '2025-05-16'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-05-16T23:53:23.165Z'
                    - id: d3cd4b99-8de5-410f-9a04-735c1fbdcb60
                      amount: 0
                      status: SUCCESSFUL
                      date: '2025-05-15'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-05-15T23:00:00.357Z'
                    - id: 097390a8-5926-4790-8120-4bf432ea79f4
                      amount: 9780
                      status: SUCCESSFUL
                      date: '2025-05-05'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-05-05T23:00:00.314Z'
                    - id: 73a4ca7c-5e1c-4b95-b3ab-2885b8357913
                      amount: 0
                      status: SUCCESSFUL
                      date: '2025-05-02'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-05-02T23:00:00.611Z'
                    - id: 3ef65242-eb59-492f-b4d3-160d350b46f7
                      amount: 4500
                      status: FAILED
                      date: '2025-05-01'
                      charges: 0
                      category: SUBACCOUNT_SETTLEMENT
                      subaccountId: 64fbd4d2-b0e8-475d-821e-543de58380c7
                      createdAt: '2025-05-02T09:12:21.090Z'
                      subaccount:
                        id: 64fbd4d2-b0e8-475d-821e-543de58380c7
                        name: Vendor 01
                    - id: 8599ac12-1591-469d-895f-64638818cac9
                      amount: 5000
                      status: SUCCESSFUL
                      date: '2025-05-01'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-05-02T09:12:20.953Z'
                    - id: f5bc13da-e7ab-46e5-aeeb-0234a93124af
                      amount: 2400
                      status: SUCCESSFUL
                      date: '2025-04-25'
                      charges: 0
                      category: SUBACCOUNT_SETTLEMENT
                      subaccountId: 1d506c83-14b2-49d4-9663-6bc30e28ca99
                      createdAt: '2025-04-25T23:00:01.120Z'
                      subaccount:
                        id: 1d506c83-14b2-49d4-9663-6bc30e28ca99
                        name: Tayo Medusa
                    - id: 478d408d-dd92-43a3-897e-a884ec6a4f7c
                      amount: 4381
                      status: SUCCESSFUL
                      date: '2025-04-25'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-04-25T23:00:00.865Z'
                    - id: dba9ee82-b2eb-4db1-b378-298b6787ef1b
                      amount: 18834.5
                      status: SUCCESSFUL
                      date: '2025-04-22'
                      charges: 0
                      category: SUBACCOUNT_SETTLEMENT
                      subaccountId: 64fbd4d2-b0e8-475d-821e-543de58380c7
                      createdAt: '2025-04-22T23:00:01.002Z'
                      subaccount:
                        id: 64fbd4d2-b0e8-475d-821e-543de58380c7
                        name: Vendor 01
                    - id: f22ccc60-aa40-488e-944b-0f6021882edd
                      amount: 2150
                      status: SUCCESSFUL
                      date: '2025-04-22'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-04-22T23:00:00.759Z'
                    - id: 35605e70-e26b-4881-b788-d9b5ebc57c4e
                      amount: 0
                      status: SUCCESSFUL
                      date: '2025-03-26'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-03-26T23:00:00.465Z'
                    - id: e027bb6a-feb8-4319-8f2d-06f5114274db
                      amount: 1976
                      status: SUCCESSFUL
                      date: '2025-03-26'
                      charges: 0
                      category: INSTANT_SETTLEMENT
                      createdAt: '2025-03-26T01:46:37.917Z'
                    - id: fb653b37-d2b7-4a4e-bf02-0901e4539587
                      amount: 9430
                      status: SUCCESSFUL
                      date: '2025-03-25'
                      charges: 0
                      category: SUBACCOUNT_SETTLEMENT
                      subaccountId: 1d506c83-14b2-49d4-9663-6bc30e28ca99
                      createdAt: '2025-03-25T23:00:00.462Z'
                      subaccount:
                        id: 1d506c83-14b2-49d4-9663-6bc30e28ca99
                        name: Tayo Medusa
                    - id: 4d624b9a-9a95-43a7-b828-f6a6dfc2e771
                      amount: 2272
                      status: SUCCESSFUL
                      date: '2025-03-25'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-03-25T23:00:00.323Z'
                    - id: 8497e0eb-ea3a-4f8c-8cdd-e683b23d6b1b
                      amount: 1000
                      status: SUCCESSFUL
                      date: '2025-03-25'
                      charges: 0
                      category: INSTANT_SETTLEMENT
                      createdAt: '2025-03-25T13:25:29.370Z'
                    - id: 6035005e-da1a-47e4-bfae-5d46001a8313
                      amount: 1000
                      status: SUCCESSFUL
                      date: '2025-03-25'
                      charges: 0
                      category: INSTANT_SETTLEMENT
                      createdAt: '2025-03-25T13:16:38.144Z'
                    - id: 98e165fe-b303-45f6-a5cb-4ae8705c5449
                      amount: 1000
                      status: FAILED
                      date: '2025-03-25'
                      charges: 0
                      category: INSTANT_SETTLEMENT
                      createdAt: '2025-03-25T13:15:18.665Z'
                    - id: 66330c01-803e-4367-aa4f-0ca7eb6632c2
                      amount: 2500
                      status: SUCCESSFUL
                      date: '2025-03-25'
                      charges: 0
                      category: INSTANT_SETTLEMENT
                      createdAt: '2025-03-25T12:01:29.777Z'
                    - id: 819e2022-202c-49ce-a721-f602a6290894
                      amount: 18210
                      status: SUCCESSFUL
                      date: '2025-03-20'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-03-20T23:00:00.949Z'
                    - id: 8fa09dba-db6d-4932-9e7a-8c954a1f1099
                      amount: 2000
                      status: FAILED
                      date: '2025-03-20'
                      charges: 0
                      category: INSTANT_SETTLEMENT
                      createdAt: '2025-03-20T16:03:18.583Z'
                    - id: 188aaa47-8066-41a2-911c-9a597a9b5427
                      amount: 500
                      status: SUCCESSFUL
                      date: '2025-03-20'
                      charges: 0
                      category: INSTANT_SETTLEMENT
                      createdAt: '2025-03-20T15:53:57.663Z'
                    - id: 3217fbaf-c4c0-4625-b73c-5cc97c2ccdc3
                      amount: 1000
                      status: SUCCESSFUL
                      date: '2025-03-20'
                      charges: 0
                      category: INSTANT_SETTLEMENT
                      createdAt: '2025-03-20T15:24:13.096Z'
                    - id: 987a3527-a01b-4c1e-9449-a6b206db9e28
                      amount: 14720
                      status: SUCCESSFUL
                      date: '2025-03-18'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2025-03-18T23:00:01.017Z'
                    - id: a6e5aafc-0cb5-400b-92fc-bd952fc43992
                      amount: 36356
                      status: SUCCESSFUL
                      date: '2024-09-02'
                      charges: 0
                      category: MERCHANT_SETTLEMENT
                      createdAt: '2024-09-02T23:00:00.761Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````